Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.util
Class ClockFactory

    java.lang.Object
      org.apache.logging.log4j.core.util.ClockFactory

    public final class ClockFactory

extends Object

Factory for `Clock` objects.

Field Summary
`static String` | `PROPERTY_NAME` Name of the system property that can be used to specify a `Clock` implementation class.

Method Summary
`static Clock` | `getClock()` Returns a `Clock` instance depending on the value of system property `PROPERTY_NAME`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  Name of the system property that can be used to specify a `Clock` implementation class. The value of this property is "log4j.Clock".

  See Also:
    Constant Field Values

Method Detail

### getClock

    public static Clock getClock()

  Returns a `Clock` instance depending on the value of system property `PROPERTY_NAME`.

  If system property `log4j.Clock=CachedClock` is specified, this method returns an instance of `CachedClock`. If system property `log4j.Clock=CoarseCachedClock` is specified, this method returns an instance of `CoarseCachedClock`.

  If another value is specified, this value is taken as the fully qualified class name of a class that implements the `Clock` interface. An object of this class is instantiated and returned.

  If no value is specified, or if the specified value could not correctly be instantiated or did not implement the `Clock` interface, then an instance of `SystemClock` is returned.

  Returns:
    a `Clock` instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.